resource "cloudflare_record" "gh_pages_ipv4_3" {
  name    = "katuwoss.dev"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "185.199.111.153"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "gh_pages_ipv4_2" {
  name    = "katuwoss.dev"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "185.199.110.153"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "gh_pages_ipv4_1" {
  name    = "katuwoss.dev"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "185.199.109.153"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "gh_pages_ipv4_0" {
  name    = "katuwoss.dev"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "185.199.108.153"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "kanboard_cname" {
  name    = "board"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "vps0.katuwoss.dev"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "memos_cname" {
  name    = "memos"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "vps0.katuwoss.dev"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "nfty_cname" {
  name    = "ntfy"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "vps0.katuwoss.dev"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "kuma_cname" {
  name    = "status"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "vps0.katuwoss.dev"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "vps0_ipv4" {
  name    = "vps0"
  proxied = false
  ttl     = 1
  type    = "A"
  value   = "46.36.40.203"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "vps0_ipv6" {
  name    = "vps0"
  proxied = false
  ttl     = 1
  type    = "AAAA"
  value   = "2a02:25b0:aaaa:ed64::"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "screamy_web" {
  name    = "justscreamy"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "cname.vercel-dns.com"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "th0be_web" {
  name    = "th0be"
  proxied = false
  ttl     = 1
  type    = "CNAME"
  value   = "cname.vercel-dns.com"
  zone_id = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "katuwoss_mail_secondary" {
  name     = "katuwoss.dev"
  priority = 20
  proxied  = false
  ttl      = 1
  type     = "MX"
  value    = "6a741f686c6530a1.mx1.emailprofi.seznam.cz"
  zone_id  = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "katuwoss_mail_primary" {
  name     = "katuwoss.dev"
  priority = 10
  proxied  = false
  ttl      = 1
  type     = "MX"
  value    = "6a741f686c6530a1.mx2.emailprofi.seznam.cz"
  zone_id  = var.katuwoss_dev_zone_id
}

resource "cloudflare_record" "gh_pages_challenge" {
  name    = "_github-pages-challenge-katuwoss"
  proxied = false
  ttl     = 1
  type    = "TXT"
  value   = "dddb8682db04afe1c97ef6ae3b89f2"
  zone_id = var.katuwoss_dev_zone_id
}
